%define	base_name	xsw-client
%define	prefix		hack
%define	name		%{prefix}%{base_name}
%define	version		1.41.0
%define release		1mdk
%define summary		XShipWars client (unstable branch)
%define clientdatadir	%{_gamesdatadir}/xshipwars
%define clientconfdir	%{_sysconfdir}/xshipwars

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License: 	GPL
Group: 		Games/Other
Source0:	%{base_name}-%{version}.tar.bz2
Source1:	%{name}.icons.tar.bz2
Url: 		http://wolfpack.twu.net/ShipWars/XShipWars
Requires:	xsw-images xsw-sounds
BuildRequires:	libjsw1-devel libY2-devel libesound0-devel libxpm4-devel libdb3.3-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
Obsoletes:	xsw1.40
Provides:	xsw1.40

%description
XShipWars is a highly customizable and massively multiplayer space
gaming system designed for play entirly over the Internet.
It is the first completed and stable game for Linux written on Linux and
has been ported to a variety of other platforms.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{base_name}-%{version}
%setup -n %{base_name}-%{version} -T -D -a1

%build
%configure
make client_linux "CFLAGS = -D__USE_BSD -DUSE_XSHM -DJS_SUPPORT -DHAVE_YIFF -DHAVE_ESD $RPM_OPT_FLAGS"

%install
install -d -m 755 $RPM_BUILD_ROOT%{_gamesbindir}
install -d -m 755 $RPM_BUILD_ROOT%{clientconfdir}
install -m 755 client/xsw $RPM_BUILD_ROOT%{_gamesbindir}/%{prefix}xsw
install -m 644 client/xshipwarsrc $RPM_BUILD_ROOT%{clientconfdir}/%{prefix}xshipwarsrc
install -m 644 client/universes $RPM_BUILD_ROOT%{clientconfdir}/%{prefix}universe
# icons
install -D -m 644 xsw-48.xpm $RPM_BUILD_ROOT%{_liconsdir}/%{prefix}xsw.xpm 
install -D -m 644 xsw-32.xpm $RPM_BUILD_ROOT%{_iconsdir}/%{prefix}xsw.xpm 
install -D -m 644 xsw-16.xpm $RPM_BUILD_ROOT%{_miconsdir}/%{prefix}xsw.xpm 

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%{_gamesbindir}/%{prefix}xsw"\\
	needs="X11"\\
	icon="%{prefix}xsw.xpm"\\
	section="Amusement/Other"\\
	title="XShipWars" \
	longtitle="%{summary}"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files 
%defattr(-,root,root)
%doc CREDITS INSTALL LICENSE README TODO
%{_gamesbindir}/%{prefix}xsw
%config(noreplace) %{clientconfdir}/%{prefix}xshipwarsrc
%config(noreplace) %{clientconfdir}/%{prefix}universe
%{_menudir}/%{name}
%{_miconsdir}/%{prefix}xsw.xpm
%{_iconsdir}/%{prefix}xsw.xpm
%{_liconsdir}/%{prefix}xsw.xpm

%changelog
* Sat Jan 05 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.41.0-1mdk
- 1.41.0
- first release as client only package
- build with new libjsw 1.5
- doesn't requires xsw-data, as theme packages requires it

* Sat Oct 27 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.40.5-5mdk
- buildrequires libdb3.3-devel
- used games user instead of specific user
- rewrote init script
- obsoletes xsw

* Sat Oct 20 2001 Guillaume Rousse <g.rousse@linux-mandrake.          -
- corrected a bug in server %pre

* Tue Oct 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.40.5-3mdk
- fixes by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- changed name to xsw%{major_version} for unstable branch
	- monitor and unvedit data files now in external packages
	- completly reworked server package (aka: before it couldn't run, now it could)
	- changed summary
	- s/Copyright/License
	- truncated description to 72 columns
	- spec cleanup
	- more menus
	- icons in right dir

* Tue Apr 24 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.40.5-2mdk
- really 1.40.5
- 16bpp patch
- split data, image and sound into distinct packages

* Mon Apr 23 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.40.5-1mdk
- 1.40.5
- update requires and buildrequires

* Fri Apr 13 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.40.4-1mdk
- buildrequires libjsw-devel libY2-devel esound-devel libxpm-devel
- 1.40.4

* Wed Mar 07 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.40.3-1mdk
- 1.40.3

* Sun Feb 18 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.40.2-1mdk
- first Mandrake release
